# Class EventType

java.lang.Object
com.sparshui.common.messages.events.EventType

public class EventType extends Object
This is an enumeration of all event types currently available. If you add a new event, you must modify this enumeration as well as the enumeration in the C++ version, should you want to add the event there as well.

Author:
  root

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DBLCLK_EVENT`
`static final int`
`DRAG_EVENT`
`static final int`
`DRIVER_NONE`
`static final int`
`FLICK_EVENT`
`static final int`
`RELATIVE_DRAG_EVENT`
`static final int`
`ROTATE_EVENT`
`static final int`
`SERVICE_LOST`
`static final int`
`SPIN_EVENT`
`static final int`
`TOUCH_EVENT`
`static final int`
`ZOOM_EVENT`

## Constructor Summary

Constructors
Constructor
Description
`EventType()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DRIVER_NONE

public static final int DRIVER_NONE

See Also:
  - Constant Field Values

### SERVICE_LOST

public static final int SERVICE_LOST

See Also:
  - Constant Field Values

### DRAG_EVENT

public static final int DRAG_EVENT

See Also:
  - Constant Field Values

### ROTATE_EVENT

public static final int ROTATE_EVENT

See Also:
  - Constant Field Values

### SPIN_EVENT

public static final int SPIN_EVENT

See Also:
  - Constant Field Values

### TOUCH_EVENT

public static final int TOUCH_EVENT

See Also:
  - Constant Field Values

### ZOOM_EVENT

public static final int ZOOM_EVENT

See Also:
  - Constant Field Values

### DBLCLK_EVENT

public static final int DBLCLK_EVENT

See Also:
  - Constant Field Values

### FLICK_EVENT

public static final int FLICK_EVENT

See Also:
  - Constant Field Values

### RELATIVE_DRAG_EVENT

public static final int RELATIVE_DRAG_EVENT

See Also:
  - Constant Field Values

## Constructor Details

### EventType

public EventType()